com::lomiri::location::service::Configuration Class Referenceabstract

`#include <configuration.h>`

Collaboration diagram for com::lomiri::location::service::Configuration:

## Public Member Functions

virtual | ~Configuration ()=default
| Configuration (const Configuration &)=delete
Configuration & | operator= (const Configuration &)=delete
virtual std::shared_ptr< Engine > | the_engine (const std::set< Provider::Ptr > &provider_set, const ProviderSelectionPolicy::Ptr &provider_selection_policy)=0
virtual ProviderSelectionPolicy::Ptr | the_provider_selection_policy ()=0
virtual std::set< Provider::Ptr > | the_provider_set ()=0
virtual PermissionManager::Ptr | the_permission_manager ()=0

## Protected Member Functions

| Configuration ()=default

## Detailed Description

Definition at line 37 of file service/configuration.h.

## Constructor & Destructor Documentation

## ~Configuration()

virtual com::lomiri::location::service::Configuration::~Configuration | ( |  | ) |

virtual default

## Configuration() [1/2]

com::lomiri::location::service::Configuration::Configuration | ( | const Configuration & |  | ) |

delete

References Configuration().

Referenced by Configuration(), and operator=().

Here is the call graph for this function:

## Configuration() [2/2]

com::lomiri::location::service::Configuration::Configuration | ( |  | ) |

protected default

## Member Function Documentation

## operator=()

Configuration & com::lomiri::location::service::Configuration::operator= | ( | const Configuration & |  | ) |

delete

References Configuration().

Here is the call graph for this function:

## the_engine()

virtual std::shared_ptr< Engine > com::lomiri::location::service::Configuration::the_engine | ( | const std::set< Provider::Ptr > & | provider_set,
|  | const ProviderSelectionPolicy::Ptr & | provider_selection_policy )

pure virtual

## the_permission_manager()

virtual PermissionManager::Ptr com::lomiri::location::service::Configuration::the_permission_manager | ( |  | ) |

pure virtual

## the_provider_selection_policy()

virtual ProviderSelectionPolicy::Ptr com::lomiri::location::service::Configuration::the_provider_selection_policy | ( |  | ) |

pure virtual

## the_provider_set()

virtual std::set< Provider::Ptr > com::lomiri::location::service::Configuration::the_provider_set | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- service/configuration.h